Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6779 - ref-guide errata regarding rescue mode is incorrect
Summary: ref-guide errata regarding rescue mode is incorrect
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rhl-ig-x86
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sandra Moore
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-06 17:39 UTC by kevinmills
Modified: 2014-08-04 22:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-06-15 15:59:09 UTC


Attachments (Terms of Use)

Description kevinmills 1999-11-06 17:39:50 UTC
(there wasn't a ref-guide component in Bugzilla - sorry)

The Reference Guide errata explains the new rescue
procedure, but shows the incorrect command to mount your
root filesystem:

mount -t ext2 /dev/hda5 /mnt

This is incorrect.  The root filesystem should be mounted
on /mnt/sysimage since the rescue mode sets paths
using /mnt/sysimage.  Mounting on /mnt renders the rescue
mode unusable since there are directories under /mnt that
are needed.  The /mnt/sysimage directory does *not* exist
either; it must be created by the user.

Comment 1 Brock Organ 2000-06-15 15:58:36 UTC
on the online 6.2 GSG manual, this mount command example is changed:

"However, if your root filesystem is undamaged, you can mount it and then run
any standard Linux utility. For example, suppose your root filesystem is in
/dev/hda5. Here's how to mount this partition:

mount -t ext2 /dev/hda5 /foo

Where /foo is a directory that you have created.
   
Now you can run chroot, fsck, man, and other utilities. At this point, you are
running Linux in single-user mode."


Comment 2 Brock Organ 2000-06-15 15:59:07 UTC
thanks for your report!


Note You need to log in before you can comment on or make changes to this bug.